Subject: bug#57957: 29.0.50; Native compilation hangs on cyclic lists

From: Andrea Corallo <[email-masked]>
Date: Thu, 22 Sep 2022 22:39:22 +0000

Stefan Monnier <[email-masked]> writes:

>> The question is of course also how much effort circular lists deserve in
>> the compiler.  From my point of view, not too much because they aren't
>> very useful, in code at least.  And dealing with them costs runtime.
>
> Circular data structures are perfectly normal in source code under
> a `quote` but the code itself should never be cyclic (so I think it
> would be OK to signal an error (and/or to inf-loop) when asked to
> compile a chunk of code that has a cycle).  So we *should* handle
> circular data structures correctly.

I agree, Saturday I should have some time to look into this.

  Andrea